#include "layer.h"

#include "../mainWindow.h"

//--------------------------------------------------------------
/* Constructor */
Layer::Layer(MainWindow &owner)
  : m_owner(owner)
{
}
//--------------------------------------------------------------
/* Get the application context instance from the main window */
const AppContext *Layer::GetAppContext() const
{
  return &m_owner.m_appContext;
}
//--------------------------------------------------------------
/* Get the input manager instance from the main window */
const quokka_gfx::InputManager *Layer::GetInputManager() const
{
  return m_owner.GetInputManager();
}
//--------------------------------------------------------------
/* Get the renderer instance from the main window */
const quokka_gfx::Renderer *Layer::GetRenderer() const
{
  return m_owner.GetRenderer();
}
//--------------------------------------------------------------
